//
//	LED Panel - Main program and associated methods.
//
//	Copyright 2014 Mark Stevens
//
#include "SPI.h"
#include "GPIO.h"
#include "SysTick.h"
#include <stm32f4xx_gpio.h>

//
//	Initialise the system.
//
void Initialise()
{
	InitialiseGPIO();
	InitialiseSPI();
	InitialiseSysTick();
}

//
//	Main program loop.
//
int main()
{
	Initialise();
	//
	//	Fill the SPI buffer with data.
	//
	int index;
	for (index = 0; index < SPI_BUFFER_LENGTH; index++)
	{
		buffer[index] = index;
	}
	//
	//	Main program loop.
	//
    while (1);
}
